ReversePathHierarchyTokenizer (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.path.ReversePathHierarchyTokenizer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.path
Class ReversePathHierarchyTokenizer

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.Tokenizer
                  org.apache.lucene.analysis.path.ReversePathHierarchyTokenizer

All Implemented Interfaces:
  Closeable

    public class ReversePathHierarchyTokenizer

extends org.apache.lucene.analysis.Tokenizer

Tokenizer for domain-like hierarchies.

Take something like:

     www.site.co.uk

and make:

     www.site.co.uk
     site.co.uk
     co.uk
     uk

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary
`static char` | `DEFAULT_DELIMITER`
`static int` | `DEFAULT_SKIP`

Fields inherited from class org.apache.lucene.analysis.Tokenizer
`input`

Constructor Summary
`ReversePathHierarchyTokenizer(Reader input)`
`ReversePathHierarchyTokenizer(Reader input, char delimiter, char replacement)`
`ReversePathHierarchyTokenizer(Reader input, char delimiter, char replacement, int skip)`
`ReversePathHierarchyTokenizer(Reader input, char delimiter, int skip)`
`ReversePathHierarchyTokenizer(Reader input, int skip)`
`ReversePathHierarchyTokenizer(Reader input, int bufferSize, char delimiter)`
`ReversePathHierarchyTokenizer(Reader input, int bufferSize, char delimiter, char replacement)`
`ReversePathHierarchyTokenizer(Reader input, int bufferSize, char delimiter, char replacement, int skip)`

Method Summary
`void` | `end()`
`boolean` | `incrementToken()`
`void` | `reset()`

Methods inherited from class org.apache.lucene.analysis.Tokenizer
`close, correctOffset, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_DELIMITER

    public static final char DEFAULT_DELIMITER

See Also:
  Constant Field Values

### DEFAULT_SKIP

    public static final int DEFAULT_SKIP

See Also:
  Constant Field Values

Constructor Detail

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int skip)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int bufferSize,
                                         char delimiter)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         char delimiter,
                                         char replacement)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int bufferSize,
                                         char delimiter,
                                         char replacement)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         char delimiter,
                                         int skip)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         char delimiter,
                                         char replacement,
                                         int skip)

### ReversePathHierarchyTokenizer

    public ReversePathHierarchyTokenizer(Reader input,
                                         int bufferSize,
                                         char delimiter,
                                         char replacement,
                                         int skip)

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### end

    public final void end()

  Overrides:
    `end` in class `org.apache.lucene.analysis.TokenStream`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD